GET api/departmentapi/departmentsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of DepartmentViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| name | string |
None. |
|
| remark | string |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"code": 2,
"contract_id": "6dfaf6a7-4a4d-444a-8aca-d4c1230e76a8",
"id": "6ac340e4-c082-47ee-a891-f05a6073dee8",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "5d55f949-5efa-4c7e-9e63-01a6dbc71caa",
"selected_sticker_id": "55d13269-bbb8-41b5-addc-b4d9631fedba"
},
{
"active": true,
"code": 2,
"contract_id": "6dfaf6a7-4a4d-444a-8aca-d4c1230e76a8",
"id": "6ac340e4-c082-47ee-a891-f05a6073dee8",
"item_wash_max": 1,
"name": "sample string 5",
"remark": "sample string 6",
"selected_nameplate_id": "5d55f949-5efa-4c7e-9e63-01a6dbc71caa",
"selected_sticker_id": "55d13269-bbb8-41b5-addc-b4d9631fedba"
}
]
application/xml, text/xml
Sample:
<ArrayOfdepartment xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<department>
<active>true</active>
<code>2</code>
<contract_id>6dfaf6a7-4a4d-444a-8aca-d4c1230e76a8</contract_id>
<id>6ac340e4-c082-47ee-a891-f05a6073dee8</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>5d55f949-5efa-4c7e-9e63-01a6dbc71caa</selected_nameplate_id>
<selected_sticker_id>55d13269-bbb8-41b5-addc-b4d9631fedba</selected_sticker_id>
</department>
<department>
<active>true</active>
<code>2</code>
<contract_id>6dfaf6a7-4a4d-444a-8aca-d4c1230e76a8</contract_id>
<id>6ac340e4-c082-47ee-a891-f05a6073dee8</id>
<item_wash_max>1</item_wash_max>
<name>sample string 5</name>
<remark>sample string 6</remark>
<selected_nameplate_id>5d55f949-5efa-4c7e-9e63-01a6dbc71caa</selected_nameplate_id>
<selected_sticker_id>55d13269-bbb8-41b5-addc-b4d9631fedba</selected_sticker_id>
</department>
</ArrayOfdepartment>